/*
 * Copyright (c) 2016 Samsung Electronics Co., Ltd
 *
 * Licensed under the Flora License, Version 1.1 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://floralicense.org/license/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#if !defined(_DISPLAY_H)
#define _DISPLAY_H

#include <stdbool.h>
#include "types.h"

void display_set_changed_cb(display_changed_cb cb);
void display_reset(void);
void display_set_dec_point_char(char new_dec_point_char);
result_type display_set_number(double value);
double display_get_number(void);
result_type display_enter_key(key_type key, bool reset);
result_type display_erase(void);
void display_negate(void);
void display_set_str(const char *new_str);
const char *display_get_str(void);

#endif
